Alokai

SapccApiGetSopPaymentRequestDetailsRequest

Request parameters for getSopPaymentRequestDetails operation in SapccApi. SapccApiGetSopPaymentRequestDetailsRequest

interface SapccApiGetSopPaymentRequestDetailsRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly extendedMerchantCallback?: boolean;
	readonly fields?: string;
	readonly responseUrl: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetSopPaymentRequestDetails
cartIdRequiredstringCart identifier: cart code for logged in user, cart guid for anonymous user, 'current' for the last modified cart {string} SapccApiGetSopPaymentRequestDetails
extendedMerchantCallbackOptionalbooleanDefine which url should be returned {boolean} SapccApiGetSopPaymentRequestDetails
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetSopPaymentRequestDetails
responseUrlRequiredstringThe URL that the payment provider uses to return payment information. Possible values for responseUrl include the following: “orderPage_cancelResponseURL”, “orderPage_declineResponseURL”, and “orderPage_receiptResponseURL”. {string} SapccApiGetSopPaymentRequestDetails
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetSopPaymentRequestDetails

On this page